<?xml version='1.0' encoding='utf-8'?>
| <!DOCTYPE rfc SYSTEM "rfc2629-xhtml.ent" [
// external reference to RFCs
<!ENTITY rfc2119 SYSTEM "http://xml.resource.org/public/rfc/bibxml/reference.RFC.2119.xml">
<!ENTITY dim-protocol-01 SYSTEM "references/reference.dim-protocol-01.xml">
<!ENTITY dim-xml-extension-01 SYSTEM "references/reference.dim-xml-extension-01.xml">
<!ENTITY en-smm-apc-web-dev-guidelines-01 SYSTEM "references/reference.en-smm-apc-web-dev-guidelines-01.xml">
| ]>

// processing instructions
<?rfc toc="yes"?>
<?rfc symrefs="yes"?>
<?rfc compact="yes"?>
<?rfc subcompact="no"?>
<?rfc strict="no"?>
<?rfc rfcedstyle="yes"?>
<?rfc comments="yes"?>
<?rfc inline="yes"?>


// categories: std | bcp | info | exp | historic
rfc(category='info' number='2417691' consensus='false' ipr='trust200902' docName='ntof-software-architecture-01' submissionType='ntof-daq' xml:lang='en' version='3')
  front
    title n_ToF Software Architecture
    author(fullname='Sylvain Fargier' initials='S.F.' role='editor' surname='Fargier')
      organization CERN
      address
        postal
          street 1, Esplanade des Particules
          code 1217
          city Meyrin
          country Switzerland
        email sylvain.fargier@cern.ch
    date(year='2020' month='February' day="12")

    keyword n_TOF

    abstract
      t This document describes n_TOF experiment software architecture.

  middle

    include ntof-software-architecture/00_introduction.pug
    include ntof-software-architecture/01_overview.pug
    include ntof-software-architecture/02_gui.pug

    section
      name Middleware

      include ntof-software-architecture/03_daqmanager.pug
      include ntof-software-architecture/04_timing.pug
      include ntof-software-architecture/05_btcreader.pug
      include ntof-software-architecture/06_eacs.pug
      include ntof-software-architecture/07_rfm.pug
      include ntof-software-architecture/08_addh.pug
      include ntof-software-architecture/09_plcserver.pug
      include ntof-software-architecture/10_proxyserver.pug
      include ntof-software-architecture/10.1_proxyrdaarray.pug
      include ntof-software-architecture/11_globalconfig.pug
      include ntof-software-architecture/12_locking.pug

    include ntof-software-architecture/13_alarms.pug
    include ntof-software-architecture/14_database.pug

    include ntof-software-architecture/15_extra.pug
    include ntof-software-architecture/16_deployment.pug

    section
      name Contributors
      // Optional section to mention contributors

  back

    include ntof-software-architecture/z0_references.pug
    include ntof-software-architecture/z1_legacy_api.pug
    include ntof-software-architecture/z2_sql_queries.pug

    section
      name Change Log
      dl
        dt 01
        dd First revision

    section
      name Open Issues
      ul
        li Work in progress
